Subject: Re: request_module while holding rtnl semaphore

From: Thomas Graf <[email-masked]>
Date: Wed, 10 Nov 2004 02:39:41 +0100

* Patrick McHardy <[email-masked]> 2004-11-10 02:29
> Thomas Graf wrote:
> >The action code might load modules in the middle of a classifier
> >configuration and it will be very hard to reverse those changes.
> >Right now we could move it to the top of all configurations and it
> >would probably be possible to get back where we fetch the device
> >but it will get impossible once a classifier requires module
> >loading which is not unlikely.
> > 
> >
> Assuming all error-paths do proper cleanup, returning -EAGAIN
> should always result in the same configuration state as before.

I agree but this assumption is wrong, at least for u32. I agree
that once this is true it would work perfectly fine, however I 
think it would be inefficient to parse the whole TLV tree multiple
times.